> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/omnitron-openapis/sales-channel-mapped-product.md).

# Sales Channel Mapped Product

## Retrieve a mapped product

> Get details of a specific mapped product associated with a sales channel.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"SalesChannelMappedProductResponse":{"type":"object","properties":{"pk":{"type":"integer","description":"Primary key of the mapped product"},"mapped_attributes":{"type":"object","description":"A key-value map of all attributes for the product in the given channel."},"mapped_attribute_values":{"type":"object","description":"A dictionary of attribute values with additional metadata.","additionalProperties":{"type":"object","properties":{"attribute_name":{"type":"string"},"label":{"type":"string"},"value":{"type":"string"},"attribute_remote_id":{"type":"string"}}}},"attribute_set_id":{"type":"integer","description":"ID of the related attribute set."},"attribute_set_name":{"type":"string","nullable":true,"description":"Name of the related attribute set."},"attribute_set_remote_id":{"type":"string","nullable":true,"description":"Remote ID of the related attribute set."},"modified_date":{"type":"string","format":"date-time","description":"Date when the product was last modified."}}}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"406":{"description":"A custom 406 error occurs due to different validation failures in viewset or service level, such as uniqueness checks or other service-related exceptions.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Detailed message of the 406 error."}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/mapped_products/{id}/":{"get":{"summary":"Retrieve a mapped product","description":"Get details of a specific mapped product associated with a sales channel.","tags":["SalesChannelMappedProduct"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Details of the mapped product","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SalesChannelMappedProductResponse"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"406":{"$ref":"#/components/responses/406"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List mapped products

> Retrieve a list of mapped products associated with a specific sales channel.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}}},"schemas":{"SalesChannelMappedProductResponse":{"type":"object","properties":{"pk":{"type":"integer","description":"Primary key of the mapped product"},"mapped_attributes":{"type":"object","description":"A key-value map of all attributes for the product in the given channel."},"mapped_attribute_values":{"type":"object","description":"A dictionary of attribute values with additional metadata.","additionalProperties":{"type":"object","properties":{"attribute_name":{"type":"string"},"label":{"type":"string"},"value":{"type":"string"},"attribute_remote_id":{"type":"string"}}}},"attribute_set_id":{"type":"integer","description":"ID of the related attribute set."},"attribute_set_name":{"type":"string","nullable":true,"description":"Name of the related attribute set."},"attribute_set_remote_id":{"type":"string","nullable":true,"description":"Remote ID of the related attribute set."},"modified_date":{"type":"string","format":"date-time","description":"Date when the product was last modified."}}}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/mapped_products/":{"get":{"summary":"List mapped products","description":"Retrieve a list of mapped products associated with a specific sales channel.","tags":["SalesChannelMappedProduct"],"parameters":[{"$ref":"#/components/parameters/channel_path"}],"responses":{"200":{"description":"List of mapped products","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of items"},"next":{"type":"string","nullable":true,"description":"URL for next page"},"previous":{"type":"string","nullable":true,"description":"URL for previous page"},"results":{"type":"array","items":{"$ref":"#/components/schemas/SalesChannelMappedProductResponse"}}}}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://apidocs.akinon.com/omnitron-openapis/sales-channel-mapped-product.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
